HTRACE-255 Failed finding GODEPs on mac os x (Colin Patrick McCabe)
diff --git a/htrace-htraced/go/gobuild.sh b/htrace-htraced/go/gobuild.sh
index f23c639..2728b8f 100755
--- a/htrace-htraced/go/gobuild.sh
+++ b/htrace-htraced/go/gobuild.sh
@@ -116,8 +116,10 @@
     fi
 
     # Download dependencies into the build directory.
-    echo "godep restore..."
-    godep restore || die "failed to set up dependencies"
+    pushd "${GOBIN}/.." &> /dev/null || die "failed to cd to ${GOBIN}/.."
+    echo "${GOBIN}/godep restore..."
+    "${GOBIN}/godep" restore || die "failed to set up dependencies"
+    popd &> /dev/null
 
     # Discover the git version
     GIT_VERSION=$(git rev-parse HEAD)